'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import bpy

from ..operator.Enum_Functions.SRP_Enum_OP_Render_Passes import SRP_Enum_OP_Render_Passes
from ..operator.SRP_OT_Render_Passes_Preset import SRP_OT_Render_Passes_Preset
from ..operator.SRP_OT_Replace_Render_Passes_Preset import SRP_OT_Replace_Render_Passes_Preset
from ..operator.SRP_OT_Remove_Render_Passes_Preset import SRP_OT_Remove_Render_Passes_Preset

def Render_Passes_Presets_Panel(self,context):

    layout = self.layout
    srp_p = context.scene.srp_props # Get my bool props

    SRP_Enum_OP_Render_Passes(context)# Update items before drawing

    box = layout.box()
    box.label(text="Render Passes Presets")
    row = box.row(align=True)
    row.scale_y = 1.2
    row.prop(srp_p,'Enum_Render_Passes_Presets_Prop', text='')
    row.operator(SRP_OT_Render_Passes_Preset.bl_idname, text="", icon='ADD')
    row.operator(SRP_OT_Replace_Render_Passes_Preset.bl_idname, text="", icon='FILE_TICK')
    row.operator(SRP_OT_Remove_Render_Passes_Preset.bl_idname, text="", icon='REMOVE')

    box.separator(factor=1.5) # a little room to the rest

