'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import bpy
from .Utility import get_prefs

def Panel_Set_Default_Name(self,context):

    layout = self.layout
    Addon_Prefs = get_prefs()
    Default_Name_Button = Addon_Prefs.Default_Name_Button
    
    if Default_Name_Button:
        row = layout.row(align=True)
        row.scale_y = 1.3
        row.operator("srp.default_output_name", icon='HOME')
        row.operator("srp.export_name_number_add",text='',icon='TRIA_UP')
        row.operator("srp.export_name_number_subtract",text='',icon='TRIA_DOWN')
     
def Panel_Set_Default_Name_Nodes(self,context):

    if context.scene.node_tree:
        if context.scene.node_tree.nodes.active:
            if context.scene.node_tree.nodes.active.type == 'OUTPUT_FILE':
                layout = self.layout
                Addon_Prefs = get_prefs()
                Default_Name_Button = Addon_Prefs.Default_Name_Button

                if Default_Name_Button:
                    row = layout.row(align=True)
                    row.scale_y = 1.3
                    row.operator("srp.default_output_name_nodes", icon='HOME')
                    row.operator("srp.export_name_number_add_nodes",text='',icon='TRIA_UP')
                    row.operator("srp.export_name_number_subtract_nodes",text='',icon='TRIA_DOWN')

def Panel_Set_Default_Image_Name(self,context):

    layout = self.layout
    col = layout.column()
    col.operator('srp.single_image_name', text='默认单个图像名称')
