'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import bpy, pathlib
from ...menu.Utility import get_prefs

def Function_Default_Output_Name(FileFormat):

# get Add-on prefs
    Addon_Prefs = get_prefs()
# Set video-output-list
    movie_files = ['AVI_JPEG','AVI_RAW','FFMPEG']
# Output name from file name
    filename = bpy.path.basename(bpy.context.blend_data.filepath)
    filename = filename.replace('.blend','_') # remove the .blend from the name
# Get .blend file path parent
    filepath_parent = str(pathlib.Path(bpy.context.blend_data.filepath).parent) +'/'
# If no filename is given:
    if filename == "":
        filename = "untitled_"
# Sequence Folder Name
    SequenceFolder = filename + "Sequence_/"

# Use default name manipulation
    if Addon_Prefs.Manipulate_Default_Output_Name:
        # Path
        if Addon_Prefs.Default_Name_File_Path_Bool:
            Export_Path = filepath_parent
        else:  
            Export_Path = Addon_Prefs.Default_Name_File_Path
        # Main Folder
        MainFolder = Addon_Prefs.Default_Name_Main_Folder+"/"
        if not Addon_Prefs.Default_Name_Main_Folder_Bool:
            MainFolder = ""
        # Sequence Folder
        if not Addon_Prefs.Default_Name_Sequence_Folder_Bool:
            SequenceFolder = Addon_Prefs.Default_Name_Sequence_Folder+"/"
        # Sequence Word
            if Addon_Prefs.Add_Word_Sequence_to_Sequence_Folder:
                SequenceFolder = SequenceFolder.replace("/","Sequence_/")
        if not Addon_Prefs.Add_Word_Sequence_to_Sequence_Folder:
            SequenceFolder = SequenceFolder.replace("_Sequence_","")
        # Filename
        if not Addon_Prefs.Default_Name_Filename_Bool:
            filename = Addon_Prefs.Default_Name_Filename
        # Create Export Path and Filename
        if FileFormat not in movie_files:
            filepath = str(pathlib.Path(Export_Path+MainFolder+SequenceFolder+filename))
        else:
            filepath = str(pathlib.Path(Export_Path+MainFolder+filename))

#Ignore default name manipulation, use original Default Name
    else:
        if FileFormat not in movie_files:
            filepath = str(pathlib.Path(filepath_parent+"Blender_Exports/"+SequenceFolder+filename))
            
        else:
            filepath = str(pathlib.Path(filepath_parent+"Blender_Exports/"+filename))


    return filepath