'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import bpy
from .Function_Add_Subtract_Number import ExportNameNumber

class SRP_OT_Export_Name_Number_add(bpy.types.Operator):
    ''' Add a number to the filename and the sequence folder'''

    bl_idname = "srp.export_name_number_add" # Name in API
    bl_label = "Export Name Number Add" # Name in searchbar
    bl_description = "Add a number to the filename and the sequence folder"
    bl_options = {'REGISTER', 'UNDO'}

    def execute(self, context):

        ExpPath = context.scene.render.filepath
        FileFormat = context.scene.render.image_settings.file_format
        ExpPath, filenumber = ExportNameNumber(ExportPath=ExpPath, FileFormat=FileFormat, Math='add') # Use my function
        
        context.scene.render.filepath = ExpPath        
        
        
        return{'FINISHED'}