'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import bpy
from pathlib import Path
from ...menu.Utility import get_prefs

# This function makes the EnumPropery list all files in a direction

def SRP_Enum_OP_Camera_Settings(context):
    """EnumProperty callback"""

    Addon_Prefs = get_prefs()
    directory = Addon_Prefs.Render_Preset_File_Path+"/camera_presets/"
    
    # get files with path
    p = Path(directory).glob('*.py')
    files_with_path = [x for x in p if x.is_file()]
    # isolate names
    files = [Path(f).stem for f in files_with_path]
    # replace underlines with empty space for UI
    files_UI = [f.replace('_',' ') for f in files]
    
    # create list to return (needed: index number, name, description
    SRP_Enum_OP_Camera_Settings.EnumItems = []
    for f in files_UI:
        IndexNumb = files_UI.index(f)
        SRP_Enum_OP_Camera_Settings.EnumItems.append((str(IndexNumb),f,'Camera Presets'))
