'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''
# This function is called every time the EnumProperty 
# is modified (Choosing a Preset in the UI)

import bpy
from pathlib import Path
from ...menu.Utility import get_prefs

def SRP_Enum_OP_Execute_Cam_Presets(self, context):
    """EnumProperty execute"""

    Addon_Prefs = get_prefs()
    directory = Addon_Prefs.Render_Preset_File_Path+"/camera_presets/"
    
    # get files with path
    p = Path(directory).glob('*.py')
    files_with_path = [f for f in p if f.is_file()]

    Active_File = files_with_path[int(context.scene.srp_props.Enum_Camera_Presets_Prop)]

############ Execute file ##############
    with open(Active_File,'r') as PyScript:
        for line in PyScript:
            try:
                exec(line)
            except:
                print('This setting is not available in the Blender version used now: ',line)
                pass  # Make every Preset compatible with every blender version 


    return None