'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

from typing import Set
import bpy
from .SRP_OT_Camera_Presets import SRP_OT_Camera_Presets

class SRP_OT_Copy_Camera_Settings(bpy.types.Operator):
    ''' Copy the Settings from the selected Camera to all other Cameras in the Scene'''

    bl_idname = "srp.copy_camera_settings" # Name in API
    bl_label = "将设置复制到所有相机" # Name in searchbar
    bl_description = "Copy the Settings from the active Camera to all other Cameras in the Scene."
    bl_options = {'REGISTER', 'UNDO'}

    @classmethod
    def poll(cls, context): 
        if context.active_object != None: 
            if context.active_object.type == 'CAMERA': 
                return True
        return False

    def execute(self, context):
        
        # Set active object
        sel_cam    = context.active_object

    ########################
        # Check active object
        if sel_cam.type == 'CAMERA':
            for obj in context.scene.objects: # search all cameras
                if obj.type == 'CAMERA': # Just affect cameras
                    # Iterate through settings
                    for Act_Setting in SRP_OT_Camera_Presets.Camera_Presets:
                        if "active_object" in Act_Setting:
                            try:  # Chatch Error, check attribute, set attritbute
                                if hasattr(eval(Act_Setting.rsplit('.',1)[0]),Act_Setting.rsplit('.',1)[1]): 
                                    Setting = Act_Setting.replace("active_object",f"scene.objects['{obj.name}']")
                                    # set attribute
                                    setattr(eval(Setting.rsplit('.',1)[0]),Setting.rsplit('.',1)[1], eval(Act_Setting))
                            except:
                                pass

                            

                            
        
        
        return {'FINISHED'}