
'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import bpy
from .SRP_OT_Camera_Presets import SRP_OT_Camera_Presets
from .SRP_OT_Render_Presets import SRP_OT_Render_Presets

class SRP_OT_Camera_Settings_to_Text_Editor(bpy.types.Operator):
    ''' Load Current Settings to Text Editor'''

    bl_idname = "srp.camera_settings_to_text_editor" # Name in API
    bl_label = "Camera Settings to Text Editor" # Name in searchbar
    bl_description = "Show current camera settings in the Text Editor"
    bl_options = {'REGISTER', 'UNDO'}

    def execute(self, context):

        Camera_Presets = SRP_OT_Camera_Presets.Camera_Presets

        Text_File = bpy.data.texts.new('SRP_Camera_Settings.py')
        
    ##### Write text to Text Editor #####
        Text_File.write('import bpy')
        Text_File.write('\n')
        Text_File.write('\n')
        for line in Camera_Presets:
            if line[0] == "#": #Write Comments
                Text_File.write(line)
                Text_File.write('\n') 
            if line == "-":
                Text_File.write('\n')
            else:
                try:  # Check Attribute
                    if hasattr(eval(line.rsplit('.',1)[0]),line.rsplit('.',1)[1]): 
                        Value = eval(line)
                        if type(Value) == str:
                            Value = "'"+Value+"'"
                    else:
                        continue
                    Text_File.write(line)
                    Text_File.write(' = ')
                    Text_File.write(str(Value))
                    Text_File.write('\n') # nächste Zeile
                except:
                    pass

        self.report({'INFO'}, "Settings in the text drop down menu in the Text Editor window")
            
        return{'FINISHED'}

        



