'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import bpy
import pathlib

from bpy.props import StringProperty
from ..menu.Utility import get_prefs

class SRP_OT_Remove_Render_Preset(bpy.types.Operator):
    """Removes the selected Render Preset"""
    bl_idname = 'srp.remove_render_preset'
    bl_label = 'Remove Render Preset'
    bl_options = {'REGISTER', 'UNDO'}

############## Execute ####################

    def execute(self, context):

        Addon_Prefs = get_prefs()
        directory = Addon_Prefs.Render_Preset_File_Path+"/render_presets/"

        srp_p = context.scene.srp_props

        if context.scene.srp_props.Include_Camera:
            directory = Addon_Prefs.Render_Preset_File_Path+"/render_presets_and_camera_presets/"
        
        #### Remove Preset File ####
        srp_p = context.scene.srp_props
        Presets = pathlib.Path(directory).glob('*.py') # creates generator object
        Preset_files = [f for f in Presets if f.is_file()] # List is needed for index
        
        if len(Preset_files) >= 1 and srp_p.Enum_Render_Presets_Prop != '':
            rem_file = Preset_files[int(srp_p.Enum_Render_Presets_Prop)]
            # Remove
            rem_file.unlink()
            # No other preset will be selected to avoid execution
        
        
        return{'FINISHED'}

