'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import bpy
import pathlib
from ..menu.Utility import get_prefs

class SRP_OT_Replace_Render_Passes_Preset(bpy.types.Operator):
    """Replaces the selected Render Passes Preset with the current Render Passes settings"""
    bl_idname = 'srp.replace_render_passes_preset'
    bl_label = 'Replace Render Passes Preset'
    bl_options = {'REGISTER', 'UNDO'}

############## Execute ####################

    def execute(self, context):
        
        #### store active preset name ####
        Addon_Prefs = get_prefs()
        directory = Addon_Prefs.Render_Preset_File_Path+"/render_passes/"

        srp_p = context.scene.srp_props
        
        # Get preset name
        srp_p = context.scene.srp_props
        Presets = pathlib.Path(directory).glob('*.py') # creates generator object
        Preset_files = [f for f in Presets if f.is_file()] # List is needed for index

        if len(Preset_files) >= 1: #If no preset available
            Preset_Name = Preset_files[int(srp_p.Enum_Render_Passes_Presets_Prop)].name
            # remove active preset
            bpy.ops.srp.remove_render_passes_preset()
            # create new preset with the same name
            bpy.ops.srp.save_render_passes_preset(Render_Passes_Preset_Name=Preset_Name)
        
        
        return{'FINISHED'}

