'''
Copyright (C) 2021 Zensurist
andib@gmx.ch

Created by Andi Bösch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import bpy

from .SRP_OT_Render_Presets import SRP_OT_Render_Presets
from .SRP_OT_Render_Settings_to_Text_Editor import SRP_OT_Render_Settings_to_Text_Editor
from .Default_Export_Name.SRP_Set_default_output_name import SRP_OT_Default_output_name
from .Default_Export_Name.SRP_OT_Set_default_output_name_nodes import SRP_OT_Default_output_name_nodes
from .SRP_Copy_Camera_Settings import SRP_OT_Copy_Camera_Settings
from .SRP_OT_Camera_Settings_to_Text_Editor import SRP_OT_Camera_Settings_to_Text_Editor
from .SRP_OT_Camera_Presets import SRP_OT_Camera_Presets
from .SRP_OT_Remove_Render_Preset import SRP_OT_Remove_Render_Preset
from .SRP_OT_Remove_Camera_Preset import SRP_OT_Remove_Camera_Preset
from .SRP_OT_Replace_Render_Preset import SRP_OT_Replace_Render_Preset
from .SRP_OT_Replace_Camera_Preset import SRP_OT_Replace_Camera_Preset
from .SRP_OT_Render_Passes_Preset import SRP_OT_Render_Passes_Preset
from .SRP_OT_Remove_Render_Passes_Preset import SRP_OT_Remove_Render_Passes_Preset
from .SRP_OT_Replace_Render_Passes_Preset import SRP_OT_Replace_Render_Passes_Preset
from .Default_Export_Name.SRP_OT_Export_Name_Number_add import SRP_OT_Export_Name_Number_add
from .Default_Export_Name.SRP_OT_Export_Name_Number_add_nodes import SRP_OT_Export_Name_Number_add_Nodes
from .Default_Export_Name.SRP_OT_Export_Name_Number_subtract import SRP_OT_Export_Name_Number_subtract
from .Default_Export_Name.SRP_OT_Export_Name_Number_subtract_nodes import SRP_OT_Export_Name_Number_subtract_Nodes
from .Default_Export_Name.SRP_OT_Single_Image_Name import SRP_OT_Single_Image_Name


classes = (
    SRP_OT_Render_Presets,
    SRP_OT_Render_Settings_to_Text_Editor,
    SRP_OT_Camera_Settings_to_Text_Editor,
    SRP_OT_Default_output_name,
    SRP_OT_Copy_Camera_Settings,
    SRP_OT_Camera_Presets,
    SRP_OT_Remove_Render_Preset,
    SRP_OT_Remove_Camera_Preset,
    SRP_OT_Replace_Render_Preset,
    SRP_OT_Replace_Camera_Preset,
    SRP_OT_Render_Passes_Preset,
    SRP_OT_Remove_Render_Passes_Preset,
    SRP_OT_Replace_Render_Passes_Preset,
    SRP_OT_Export_Name_Number_add,
    SRP_OT_Default_output_name_nodes,
    SRP_OT_Export_Name_Number_add_Nodes,
    SRP_OT_Export_Name_Number_subtract,
    SRP_OT_Export_Name_Number_subtract_Nodes,
    SRP_OT_Single_Image_Name,
    
)


def register_operators():
    from bpy.utils import register_class
    for cls in classes:
        register_class(cls)
        

def unregister_operators():
    from bpy.utils import unregister_class
    for cls in reversed(classes): 
        unregister_class(cls)
       